; This is an IDL example program for the ESO Reflex
;The Reflex outputs must be defined as : reflexout_'outputname'
;

PRO testcase,inputFile, $
             reflexout_image_out, $
             min=min, max=max, $
             reflexout_min_out=out1, $
             reflexout_max_out=out2


if n_params(0) eq 0 then begin

    MESSAGE = 'Syntax: testcase,inputFile, reflexout_image_out, min=min, max=max, reflexout_min_out=out1,reflexout_min_out=out2'
                 print, MESSAGE

endif

if n_params(0) gt 0 then begin
 

       if (not keyword_set(min)) then begin
           print,"Output min_out is  not set"
           print, "Setting a default value:"
           ; This is a default value

           ; Syntax for the reflex output handling is 
           ;print, reflexout( "outputname", value ) 
           print, reflexout( "min_out", 200 )


       end else begin
            print,reflexout( "min_out", min )	   

       end
          

        if (not keyword_set(max)) then begin
          
           print,"Output max_out is   not set"
           print,"Setting a default value:"
	   print, reflexout( "max_out",200)


       end else begin 
            print, reflexout( "max_out", max )
        end

       	print, reflexout( "image_out",inputFile )
   end




END
